"""Session management for web users

Revision ID: b751e719ed3d
Revises: 79122d7f257c
Create Date: 2018-11-12 09:39:19.524533

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = "b751e719ed3d"
down_revision = "79122d7f257c"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "user_sessions",
        sa.Column("key", sa.String(), nullable=False),
        sa.Column("user_id", sa.String(), nullable=False),
        sa.Column("session_type", sa.String(), nullable=True),
        sa.Column("created_agent", sa.String(), nullable=True),
        sa.Column("created_address", sa.String(), nullable=True),
        sa.Column(
            "created_datetime",
            sa.DateTime(),
            server_default=sa.text("now()"),
            nullable=True,
        ),
        sa.Column("accessed_agent", sa.String(), nullable=True),
        sa.Column("accessed_address", sa.String(), nullable=True),
        sa.Column(
            "accessed_datetime",
            sa.DateTime(),
            server_default=sa.text("now()"),
            nullable=True,
        ),
        sa.Column("details", sa.String(), nullable=True),
        sa.PrimaryKeyConstraint("key"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("user_sessions")
    # ### end Alembic commands ###
